Name:           libgit2
Version:        0.27.8
Release:        3
Summary:        portable, pure C implementation of the Git core methods
License:        GPLv2 with exceptions
URL:            https://libgit2.org
Source0:        https://github.com/libgit2/libgit2/archive/v%{version}.tar.gz

Patch0001:      0001-tests-don-t-run-buf-oom-on-32-bit-systems.patch

BuildRequires:  gcc cmake >= 2.8.11 ninja-build http-parser-devel libcurl-devel
BuildRequires:  libssh2-devel openssl-devel python3 zlib-devel
Provides:       bundled(libxdiff)

%description
libgit2 is a portable, pure C implementation of the Git core methods provided as
a re-entrant linkable library with a solid API, allowing you to write native speed
custom Git applications in any language which supports C bindings.

%package        devel
Summary:        Development files for libgit2
Requires:       %{name} = %{version}-%{release}

%description    devel
This package contains libraries and headers for developing applications that use libgit2.

%prep
%autosetup -n %{name}-%{version} -p1
rm -rfv examples/network/.gitignore deps
sed -i '/ADD_TEST(online/s/^/#/' tests/CMakeLists.txt

%build
%cmake . -B%{_target_platform} -GNinja -DCMAKE_BUILD_TYPE=RelWithDebInfo \
  -DSHA1_BACKEND=OpenSSL -DUSE_HTTPS=OpenSSL %{nil}
%ninja_build -C %{_target_platform}

%install
%ninja_install -C %{_target_platform}

%check
%ninja_test -C %{_target_platform}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license COPYING
%{_libdir}/%{name}.so.*

%files devel
%doc AUTHORS docs examples README.md
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/git2*

%changelog
* Thu Jan 16 2020 yangjian<yangjian79@huawei.com> - 0.27.8-3
- Change the Source to valid address

* Tue Dec 31 2019 lingsheng <lingsheng@huawei.com> - 0.27.8-2
- Package init
